%global alphatag rc1
Name:         poweradmin
Version:      2.1.5
Release:      0.3.%{alphatag}%{?dist}
Summary:      A friendly web-based DNS administration tool for Bert Hubert's PowerDNS server

Group:        Applications/Internet
License:      GPLv3+
URL:          http://www.poweradmin.org
Source0:      https://www.poweradmin.org/download/%{name}-%{version}%{alphatag}.tgz
Source1:      %{name}.conf
Source2:      %{name}-config.inc.php
BuildArch:    noarch

Requires:     httpd
Requires:     php
Requires:     php-pear(MDB2_Driver_mysql)
Requires:     php-pear(MDB2_Driver_pgsql)
Requires:     php-mcrypt

%description
Poweradmin is a friendly web-based DNS administration tool for Bert Hubert's
PowerDNS server. The interface has full support for most of the features of
PowerDNS. It has full support for all zone types (master, native and slave),
for supermasters for automatic provisioning of slave zones, full support
for IPv6 and comes with multi-language support.


%prep
%setup -q -n %{name}-%{version}%{alphatag}


%build


%install
rm -rf %{buildroot}
%{__mkdir} -pv %{buildroot}/%{_datadir}/%{name}
%{__mkdir} -pv %{buildroot}/%{_sysconfdir}/httpd/conf.d/
%{__mkdir} -p %{buildroot}/%{_sysconfdir}/%{name}

%{__cp} -adpv ./* %{buildroot}/%{_datadir}/%{name}
%{__cp} -pv %{SOURCE1} %{buildroot}/%{_sysconfdir}/httpd/conf.d/%{name}.conf

%{__cp} %{SOURCE2} %{buildroot}/%{_sysconfdir}/%{name}/config.inc.php
ln -s %{_sysconfdir}/%{name}/config.inc.php %{buildroot}/%{_datadir}/%{name}/inc/config.inc.php

%{__rm} -rfv %{buildroot}/%{_datadir}/%{name}/docs
%{__rm} -rfv %{buildroot}/%{_datadir}/%{name}/install

%files
%defattr(-,root,root,-)
%{_datadir}/%{name}
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{name}.conf
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/config.inc.php
%doc docs/*



%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.5-0.3.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 13 2010 Sven Lankes <sven@lank.es> 2.1.5-0.2.rc1
- Add new runtime-dependency php-mcrypt

* Sun Dec 12 2010 Ruben Kerkhof <ruben@rubenkerkhof.com> 2.1.5-0.1.rc1
- Upstream released new version

* Thu Nov 05 2009 Ruben Kerkhof <ruben@rubenkerkhof.com> 2.1.3-3
- Symlink config.inc.php to right directory

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jun 05 2009 Ruben Kerkhof <ruben@rubenkerkhof.com> 2.1.3-1
- Upstream released new version

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jan 19 2009 Ruben Kerkhof <ruben@rubenkerkhof.com> - 2.1.2-2
- Review fixes (#480552)

* Sun Jan 18 2009 Ruben Kerkhof <ruben@rubenkerkhof.com> - 2.1.2-1
- Initial import

